# Class LidarprofileConfigService

#### Hierarchy

- LidarprofileConfigService

- Defined in src/lidar/Config.ts:163

#####
Index

### Constructors

constructor

### Properties

clientConfig
loaded
pytreeLidarprofileJsonUrl
serverConfig

### Methods

initProfileConfig

## Constructors

### constructor

- new LidarprofileConfigService(): LidarprofileConfigService

- Configuration service to configure the gmf.lidarPanelComponent and gmf.lidarprofile instance Requires a Pytree service: https://github.com/sitn/pytree

  #### Returns LidarprofileConfigService

  - Defined in src/lidar/Config.ts:182

## Properties

### clientConfig

clientConfig: LidarprofileClientConfig

The client configuration.

- Defined in src/lidar/Config.ts:171

### loaded

loaded: boolean

- Defined in src/lidar/Config.ts:166

### pytreeLidarprofileJsonUrl

pytreeLidarprofileJsonUrl: string

- Defined in src/lidar/Config.ts:164

### serverConfig

serverConfig: LidarprofileServerConfig

The configuration from the LIDAR server.

- Defined in src/lidar/Config.ts:176

## Methods

### initProfileConfig

- initProfileConfig(): Promise<void | Response>

- Initialize the service variables from Pytree profile_config_gmf2 route

  #### Returns Promise<void | Response>

  Promise<void | Response> The server configuration.

  - Defined in src/lidar/Config.ts:220

Generated using TypeDoc